Instagram — highlight stories
curl --request POST \
--url https://app.sideshift.app/api/v1/scrape/instagram/highlight \
--header 'Content-Type: application/json' \
--data '
{
"id": "18067016518767507"
}
'import requests
url = "https://app.sideshift.app/api/v1/scrape/instagram/highlight"
payload = { "id": "18067016518767507" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({id: '18067016518767507'})
};
fetch('https://app.sideshift.app/api/v1/scrape/instagram/highlight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ad_expiry_timestamp_in_millis": null,
"can_gif_quick_reply": true,
"can_react_with_avatar": false,
"can_reply": false,
"can_reshare": true,
"created_at": 1743889595,
"highlight_reel_type": "DEFAULT",
"id": "highlight:18067016518767507",
"is_added_to_main_grid": false,
"is_archived": false,
"is_cacheable": true,
"is_converted_to_clips": false,
"is_cta_sticker_available": null,
"is_fit_green": true,
"is_nux": false,
"is_pinned_highlight": false,
"latest_reel_media": 1752681624,
"media_count": 31,
"pool_refresh_ttl_in_sec": null,
"prefetch_count": 0,
"reel_type": "highlight_reel",
"seen": null,
"should_treat_link_sticker_as_cta": null,
"show_expiration_tray_signal": false,
"strong_id__": "highlight:18067016518767507",
"success": true,
"title": "GRWM chats",
"cover_media": {
"full_image_version": null,
"media_id": "3574665805209826888_21393171",
"upload_id": null,
"crop_rect": [
0,
0.17864984273910522,
1
],
"cropped_image_version": {
"height": 150,
"scans_profile": "",
"url": "https://scontent-mia5-2.cdninstagram.com/v/t51.71878-15/479737232_1405856350793820_7928432152706230890_n.jpg",
"width": 150
}
},
"disabled_reply_types": [
"story_remix_reply",
"story_selfie_reply",
"story_voice_reply"
],
"items": [
{
"archive_story_deletion_ts": 0,
"boost_unavailable_identifier": null,
"boost_unavailable_reason": null,
"can_extend_expiration": null,
"can_mention_back": false,
"can_play_spotify_audio": false,
"can_reply": false,
"can_reshare": true,
"can_see_insights_as_brand": false,
"can_send_prompt": false,
"can_viewer_save": false,
"caption": null,
"caption_is_edited": false,
"client_cache_key": "MzU3MzgxMzUxNjE1MjYyMjI5Nw==.3",
"code": "DGYvHVDxEzZ",
"creative_config": null,
"deleted_reason": 0,
"device_timestamp": 1740251782537850,
"fbid": "17898883128136714",
"filter_type": 0,
"has_audio": true,
"has_privately_liked": false,
"has_translation": false,
"hide_view_all_comment_entrypoint": false
}
],
"media_ids": [
"3573813516152622297",
"3574665805209826888",
"3575425853896904238"
],
"user": {
"fifa_country_code": "US",
"full_name": "Jane Williamson",
"id": "21393171",
"interop_messaging_user_fbid": 119713162748634,
"is_private": false,
"is_screenshot_blocking_enabled": false,
"is_verified": true,
"pk": "21393171",
"pk_id": "21393171",
"profile_pic_id": "3828172883697465264_21393171",
"profile_pic_url": "https://scontent-mia5-1.cdninstagram.com/v/t51.82787-19/629783272_18551475079017172_5737125966880342474_n.jpg",
"strong_id__": "21393171",
"transparency_product_enabled": false,
"username": "jane",
"account_badges": []
}
},
"request_id": "req_8f3c9a2b1d4e6f70",
"upstream_calls": 1,
"meta": {
"credits_charged": 1,
"credits_remaining": 9998
}
}{
"error": "INVALID_INPUT",
"message": "Invalid request body.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UNAUTHORIZED",
"message": "Invalid scraper API key.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INSUFFICIENT_SCRAPER_CREDITS",
"message": "Insufficient scraper credits.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "RESOURCE_NOT_FOUND",
"message": "Requested resource not found or unavailable.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "PAYLOAD_TOO_LARGE",
"message": "Request body must be 32KB or smaller.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "SCRAPER_RATE_LIMITED",
"message": "Scraper API rate limit exceeded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INTERNAL_ERROR",
"message": "Request failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_ERROR",
"message": "Data source failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_TIMEOUT",
"message": "Data source timed out. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}Every story inside one highlight album. Platform field names are preserved inside data. Billing: 1 SideShift credit per completed lookup.
POST
/
scrape
/
instagram
/
highlight
Instagram — highlight stories
Body
application/json
Highlight album id (numeric, or 'highlight:')
Response
Completed lookup. 1 SideShift credit.
Instagram platform data payload. Field names and nesting are preserved.
Show child attributes
Show child attributes
SideShift request id. Include it in support requests.
Number of data-source lookups performed.
Available options:
1 Per-request credit accounting (also surfaced in the X-Scraper-Credits-* response headers).
Show child attributes
Show child attributes
⌘I